API Reference
Virtual Accounts
Get all virtual accounts [GET]

Get all virtual accounts


https://sandboxapi.onbrails.com/api/v2/virtual-accounts (opens in a new tab)

Get all virtual accounts

Query Params

ParameterTypeRequiredDescription
limitintegerNumber of results to return (default 50, max 100)
nextCursorstringCursor for the next page of results
prevCursorstringCursor for the previous page of results

Request

Get all virtual accounts [GET]
curl --request GET \
   --url 'https://sandboxapi.onbrails.com/api/v2/virtual-accounts' \
   --header 'Authorization: Bearer API-KEY' \
   --header 'accept: application/json'

Responses

🟢 200 - Result example
{
  "status": true,
  "message": "Virtual accounts retrieved successfully",
  "data": {
    "data": [
      {
        "id": "a2296d18-ea09-45c3-9a58-d179b54167c9",
        "createdAt": "2025-02-17T13:56:31.790Z",
        "updatedAt": "2025-02-17T13:56:31.790Z",
        "currency": "ngn",
        "customerId": "2da22eba-35ea-4a14-936f-18b047498393",
        "accountName": "Centino Jen",
        "reference": "0ieoeuy3474",
        "status": "active",
        "bankName": "GLOBUS Bank",
        "accountNumber": "6563002662",
        "bank": "providus"
      },
      {
        "id": "eac7af65-013d-4694-9d2f-9b291f670964",
        "createdAt": "2025-02-06T08:21:38.740Z",
        "updatedAt": "2025-02-06T08:21:43.236Z",
        "currency": "ngn",
        "customerId": "b84fbc6a-ec23-46fc-a461-5db15d5028ca",
        "accountName": "Sarah Doe",
        "reference": "8cb3028bcbf6",
        "status": "active",
        "bankName": "SAFEHAVEN BANK",
        "accountNumber": "1000337888",
        "bank": "safehaven"
      }
    ],
    "meta": {
      "limit": 50,
      "nextCursor": null,
      "prevCursor": null,
      "hasNextPage": false,
      "hasPreviousPage": false
    }
  }
}